cURL
curl --request GET \
--url 'https://search.tratum.com.br/v1/holder/{holderId}/organization/{organizationId}/consumeunique/{userPlanConsumeUniqueId}/analytics/{userPlanConsumeAnalyticsId}/detail?size={size}&typeRisk={typeRisk}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://search.tratum.com.br/v1/holder/{holderId}/organization/{organizationId}/consumeunique/{userPlanConsumeUniqueId}/analytics/{userPlanConsumeAnalyticsId}/detail?size={size}&typeRisk={typeRisk}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://search.tratum.com.br/v1/holder/{holderId}/organization/{organizationId}/consumeunique/{userPlanConsumeUniqueId}/analytics/{userPlanConsumeAnalyticsId}/detail?size={size}&typeRisk={typeRisk}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sucess": true,
"reason": "<string>",
"register": {
"vltotalProcess": "<string>",
"vltotalProcess_RISK_WORKER": "<string>",
"totalProcess": 123,
"vltotalProcess_ISDEFENDANT_WITH_RISK": "<string>",
"vltotalProcess_ISAUTHOR": "<string>",
"vltotalProcess_ISAUTHOR_WITH_RISK": "<string>",
"vltotalProcess_RISK_WORKER_SECUNDARY": "<string>",
"vltotalProcess_ISDEFENDANT": "<string>",
"totalProcess_RISK_WORKER": 123,
"totalProcess_ISAUTHOR_WITH_RISK": 123,
"docs": [
{
"process": "<string>",
"user_plan_consume_analytics_id": 123,
"partner_process_analytics_id": "<string>",
"distribution_date": "2023-11-07T05:31:56Z",
"year_distribution_date": "<string>",
"month_distribution_date": "<string>",
"process_is_author": true,
"process_is_defendant": true,
"process_is_relevant_disputes": true,
"priority": 123,
"status_custom": "<string>",
"status_partner": "<string>",
"court": "<string>",
"type_court": "<string>",
"judging_organ": "<string>",
"instance": "<string>",
"value_claim": 123,
"type_risk": [
"<string>"
],
"content": {
"classe": "<string>",
"instance": "<string>",
"reus": [
{
"documento": "<string>",
"nome": "<string>"
}
],
"valorDaCausa": "<string>",
"autores": [
{
"documento": "<string>",
"nome": "<string>"
}
],
"court": "<string>",
"tribunalPassordId": 123,
"assunto": "<string>",
"uf": "<string>",
"ref": "<string>",
"dataDistribuicao": "2023-12-25",
"typeCourt": "<string>",
"autoProc": 123,
"orgaoJulgador": "<string>",
"status": "<string>"
},
"archived": true
}
],
"totalProcess_RISK_WORKER_SECUNDARY": 123,
"totalProcess_ISAUTHOR": 123,
"totalProcess_ISDEFENDANT": 123,
"totalProcess_ISDEFENDANT_WITH_RISK": 123
}
}Módulo Análise
Detalhes da classificação de risco
API de detalhes de uma determinada de risco
GET
/
v1
/
holder
/
{holderId}
/
organization
/
{organizationId}
/
consumeunique
/
{userPlanConsumeUniqueId}
/
analytics
/
{userPlanConsumeAnalyticsId}
/
detail?size=
{size}
&typeRisk=
{typeRisk}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do parceiro
ID da organização
Identificador único do consumo
Identificador único da análise
Query Parameters
Quantidade de itens na resposta
Classificação de risco: RISK_WORKER | RISK_EXECUTION | RISK_CRIMINAL | LITIGATION
⌘I
